# How the image is parse, in order to get the colors:
# full - resized - wal - thumb -  fastresize - kmeans
backend = "kmeans"

# What color space to use to produce and select the most prominent colors:
# lab - labmixed - lch - lchmixed
color_space = "labmixed"

# Use the most prominent colors in a way that makes sense, a scheme color palette:
# dark - dark16 - darkcomp - darkcomp16
# light - light16 - lightcomp - lightcomp16
# harddark - harddark16 - harddarkcomp - harddarkcomp16
# softdark - softdark16 - softdarkcomp - softdarkcomp16
# softlight - softlight16 - softlightcomp - softlightcomp16
palette = "dark16"

# Difference between similar colors, used by the colorspace:
#  1          Not perceptible by human eyes.
#  1 - 2      Perceptible through close observation.
#  2 - 10     Perceptible at a glance.
#  11 - 49    Colors are more similar than opposite
#  100        Colors are exact opposite
threshold = 11

[templates]
hypr.template = 'colors-hyprland.conf'
hypr.target = '~/.config/hypr/wallust/wallust-hyprland.conf'

rofi.template = 'colors-rofi.rasi'
rofi.target = '~/.config/rofi/wallust/colors-rofi.rasi'

waybar.template = 'colors-waybar.css'
waybar.target = '~/.config/waybar/wallust/colors-waybar.css'

kitty.template = 'colors-kitty.conf'
kitty.target = '~/.config/kitty/kitty-colors.conf'
